Bug 132736 - Patch to accomodate rhgb starting X on :1
Patch to accomodate rhgb starting X on :1
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
: 133351 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-09-16 11:11 EDT by Daniel Veillard
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-27 09:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for rhgb-0.13.2 (1.00 KB, patch)
2004-09-16 11:12 EDT, Daniel Veillard
no flags Details | Diff

  None (edit)
Description Daniel Veillard 2004-09-16 11:11:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040805 Firefox/0.9.2

Description of problem:
starting with rhgb-0.13.2 rhgb will not start X on :0
anymore, but it will store the DISPLAY used on a file.
The patch enclosed grab that file and set the DISPLAY
accordingly if found. The patch  should not break with
older versions of rhgb, it should be safe to apply.
On the other hand without the patch initscript won't succeed
with more recent versions of rhgb, so pushing an update with
it soon would make sense,


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start firstboot without the patch if rhgb-0.13.2
2. firstboot does not start

Additional info:
Comment 1 Daniel Veillard 2004-09-16 11:12:53 EDT
Created attachment 103911 [details]
patch for rhgb-0.13.2
Comment 2 Adrian Likins 2004-09-21 12:45:38 EDT
patch applied in cvs, should land in 1.3.26
Comment 3 Daniel Veillard 2004-09-21 13:01:06 EDT
thanks !
Beware  rhgb-0.13.2 is in the current distributed rawhide, you
may start getting bugs about this,

Comment 4 Daniel Veillard 2004-09-24 04:31:43 EDT
*** Bug 133351 has been marked as a duplicate of this bug. ***
Comment 5 Daniel Veillard 2004-09-27 09:21:17 EDT
Okay got it from rawhide,



Note You need to log in before you can comment on or make changes to this bug.